add_library(NostalgiaGfx-Studio)

add_library(
	NostalgiaGfx-Studio-ImGui
		studiomodule.cpp
)

target_link_libraries(
	NostalgiaGfx-Studio PUBLIC
		NostalgiaGfx
		Studio
)

target_link_libraries(
	NostalgiaGfx-Studio-ImGui PUBLIC
		NostalgiaGfx-Studio
)

install(
	TARGETS
		NostalgiaGfx-Studio-ImGui
		NostalgiaGfx-Studio
	LIBRARY DESTINATION
		${NOSTALGIA_DIST_MODULE}
)

add_subdirectory(paletteeditor)
add_subdirectory(tilesheeteditor)
add_subdirectory(subcommands)
